Vulnerability   
Search   
    Search 191973 CVE descriptions
and 86218 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.702773
Category:Debian Local Security Checks
Title:Debian Security Advisory DSA 2773-1 (gnupg - several vulnerabilities)
Summary:Two vulnerabilities were discovered in GnuPG, the GNU privacy guard,;a free PGP replacement. The Common Vulnerabilities and Exposures;project identifies the following problems:;;CVE-2013-4351When a key or subkey had its key flags subpacket set to all bits;off, GnuPG currently would treat the key as having all bits set.;That is, where the owner wanted to indicate no use permitted,;GnuPG would interpret it as all use permitted. Such no use;permitted;keys are rare and only used in very special circumstances.;;CVE-2013-4402;Infinite recursion in the compressed packet parser was possible;with crafted input data, which may be used to cause a denial of;service.
Description:Summary:
Two vulnerabilities were discovered in GnuPG, the GNU privacy guard,
a free PGP replacement. The Common Vulnerabilities and Exposures
project identifies the following problems:

CVE-2013-4351When a key or subkey had its key flags subpacket set to all bits
off, GnuPG currently would treat the key as having all bits set.
That is, where the owner wanted to indicate no use permitted,
GnuPG would interpret it as all use permitted. Such no use
permitted
keys are rare and only used in very special circumstances.

CVE-2013-4402
Infinite recursion in the compressed packet parser was possible
with crafted input data, which may be used to cause a denial of
service.

Affected Software/OS:
gnupg on Debian Linux

Solution:
For the oldstable distribution (squeeze), these problems have been fixed in
version 1.4.10-4+squeeze3.

For the stable distribution (wheezy), these problems have been fixed in
version 1.4.12-7+deb7u2.

For the unstable distribution (sid), these problems have been fixed in
version 1.4.15-1.

We recommend that you upgrade your gnupg packages.

CVSS Score:
5.8

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2013-4402
Debian Security Information: DSA-2773 (Google Search)
http://www.debian.org/security/2013/dsa-2773
Debian Security Information: DSA-2774 (Google Search)
http://www.debian.org/security/2013/dsa-2774
http://lists.gnupg.org/pipermail/gnupg-announce/2013q4/000334.html
http://lists.gnupg.org/pipermail/gnupg-announce/2013q4/000333.html
RedHat Security Advisories: RHSA-2013:1459
http://rhn.redhat.com/errata/RHSA-2013-1459.html
SuSE Security Announcement: openSUSE-SU-2013:1546 (Google Search)
http://lists.opensuse.org/opensuse-updates/2013-10/msg00020.html
SuSE Security Announcement: openSUSE-SU-2013:1552 (Google Search)
http://lists.opensuse.org/opensuse-updates/2013-10/msg00025.html
http://www.ubuntu.com/usn/USN-1987-1
Common Vulnerability Exposure (CVE) ID: CVE-2013-4351
http://www.openwall.com/lists/oss-security/2013/09/13/4
SuSE Security Announcement: openSUSE-SU-2013:1526 (Google Search)
http://lists.opensuse.org/opensuse-updates/2013-10/msg00003.html
SuSE Security Announcement: openSUSE-SU-2013:1532 (Google Search)
http://lists.opensuse.org/opensuse-updates/2013-10/msg00006.html
http://ubuntu.com/usn/usn-1987-1
CopyrightCopyright (C) 2013 Greenbone Networks GmbH http://greenbone.net

This is only one of 86218 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.